Bug 1569901 - Re-add livecd-tools back to satellite repos
Summary: Re-add livecd-tools back to satellite repos
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks: 1533854
TreeView+ depends on / blocked
 
Reported: 2018-04-20 08:40 UTC by Lukas Zapletal
Modified: 2019-11-05 23:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1624027 (view as bug list)
Environment:
Last Closed: 2018-10-16 18:55:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lukas Zapletal 2018-04-20 08:40:29 UTC
We've dropped the dependency in

https://bugzilla.redhat.com/show_bug.cgi?id=1397028

If my understanding is correct, this was mainly because of RHEL6. Unfortunately, this prevents users from building their own FDI.

I think simply shipping the package in the next minor version is good enough fix for customers, there is no point in re-releasing FDI just because of this one line change - it's quite some effort. I suggest only to ship the package, I will file a doco issue to do remark to install it if its missing.

Comment 4 Lukas Zapletal 2018-04-20 08:46:30 UTC
QA NOTES: I recorded a short video describing the process, please turn it into some chapter or appendix:

https://www.youtube.com/watch?v=QPQZThbMCbY

Ignore me mentioning livecd-tools package is missing in Satellite repos or RHEL. This is purpose of this BZ to return it:

yum install livecd-tools

livecd-creator -v --title="Discovery Image" --compression-type=xz --cache /var/cache/build-fdi --config /usr/share/foreman-discovery-image/foreman-discovery-image.ks -f fdi -t /var/tmp

Please rebuild the FDI during testing, thanks.

Comment 12 Roman Plevka 2018-09-20 14:59:03 UTC
VERIFIED
for sat6.4.0-22



# yum list livecd-tools
Available Packages
livecd-tools.x86_64                                                1:20.4-1.6.el7sat                                                Sat6-CI_Red_Hat_Satellite_6_4_Composes_Satellite_6_4_RHEL7
[root@intel-lizardhead-02 ~]# 
[root@intel-lizardhead-02 ~]# git clone https://github.com/theforeman/foreman-discovery-image
Cloning into 'foreman-discovery-image'...
remote: Enumerating objects: 1146, done.
...
[root@intel-lizardhead-02 foreman-discovery-image]# ./build-livecd fdi-centos7.ks
Now run as root ./build-livecd-root or submit fdi-image.ks into koji
[root@intel-lizardhead-02 foreman-discovery-image]# ./build-livecd-root
...
+ exit 0
+ cleanup
+ '[' -d /var/tmp/pxeboot-stripped.vilN8Y ']'
+ rm -rf /var/tmp/pxeboot-stripped.vilN8Y
+ '[' -d /var/tmp/pxeboot-mount.7Ha5Qs ']'
+ umount /var/tmp/pxeboot-mount.7Ha5Qs
+ rmdir /var/tmp/pxeboot-mount.7Ha5Qs
+ '[' 0 -ne 0 ']'
+ echo '* Building tarball'
* Building tarball
+ mkdir fdi-image
+ mv tftpboot/initrd0.img tftpboot/vmlinuz0 fdi-image
+ cd fdi-image
+ cat
+ sha256sum initrd0.img vmlinuz0
+ cd ..
+ tarball=/root/foreman-discovery-image/fdi-image-3.5.3.tar
+ tar cf /root/foreman-discovery-image/fdi-image-3.5.3.tar fdi-image/
+ ls -lh /root/foreman-discovery-image/fdi-image-3.5.3.tar
-rw-r--r--. 1 root root 209M Sep 20 10:55 /root/foreman-discovery-image/fdi-image-3.5.3.tar
+ chown --reference /root/foreman-discovery-image/build-livecd /root/foreman-discovery-image/fdi-image-3.5.3.tar
+ echo '* Done'
* Done
+ echo 'The image was built:'
The image was built:
+ du -h /root/foreman-discovery-image/fdi-image-3.5.3.tar
209M	/root/foreman-discovery-image/fdi-image-3.5.3.tar
+ exit 0
+ cleanup
+ '[' -n '' ']'
+ '[' -d /tmp/build-fdi-6N398l ']'
+ rm -rf /tmp/build-fdi-6N398l

[root@intel-lizardhead-02 foreman-discovery-image]# ll -h fdi-image-3.5.3.tar
-rw-r--r--. 1 root root 209M Sep 20 10:55 fdi-image-3.5.3.tar

Comment 13 Bryan Kearney 2018-10-16 18:55:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.